org.apache.tinkerpop.gremlin.server.auth

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tinkerpop.gremlin.server.auth.AuthenticationException

- All Implemented Interfaces:
    Serializable

      public class AuthenticationException
      extends Exception

  An exception that occurs when during authentication such as a failed login.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationException()`
    `AuthenticationException(String message)`
    `AuthenticationException(String message, Throwable cause)`
    `AuthenticationException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
    `AuthenticationException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationException

          public AuthenticationException()

    - #### AuthenticationException

          public AuthenticationException(String message)

    - #### AuthenticationException

          public AuthenticationException(String message,
                                         Throwable cause)

    - #### AuthenticationException

          public AuthenticationException(Throwable cause)

    - #### AuthenticationException

          public AuthenticationException(String message,
                                         Throwable cause,
                                         boolean enableSuppression,
                                         boolean writableStackTrace)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.